/* DllMain.c - March 26th, 2001
**
**      Copyright (c) 1997-2001 by Gregory Braun. All rights reserved.
**
**      This function forms the main DLL entry point for an MS Windows 95/NT
**      Dynamically Linked Library (DLL) module.
**
**      Called:     instance = library instance.
**                  type     = command type.
**                  reserved = a pointer to a reserved memory block.
**
**      Returns:    TRUE upon success, or FALSE if an error exists.
*/

#include "AppPaths.h"

HINSTANCE far       applet;
BOOL far            user;

char far            program[PSTRING];
char far            helpfile[PSTRING];



static void         attach          (HINSTANCE instance);

BOOL WINAPI DllMain (HINSTANCE instance,ULONG type,LPVOID reserved)
{
    UNUSED_ARG (reserved);

    switch (type) {

        case DLL_PROCESS_ATTACH :
             attach (instance);
             break;

        case DLL_THREAD_ATTACH :
             break;

        case DLL_PROCESS_DETACH :
             break;

        case DLL_THREAD_DETACH :
             break;
             }

    return (TRUE);
}

static void attach (HINSTANCE instance)
{
    auto LPSTR  p;

    if (GetModuleFileName (applet = instance,program,PSTRING)) {

        lstrcpy (helpfile,program);

        if ((p = lstrrchr (helpfile,EXT_CHR)) != NULL)
            lstrcpy (p,HLP_EXT);
        else
            *helpfile = EOS;
        }

    InitCommonControls ();

    return;
}

/* end of DllMain.c - written by Gregory Braun */
